Run of fresh-releases for eclipse-platform-ua

Try this locally (using silver-platter):

debian-svp new-upstream eclipse-platform-ua 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
Opening branch at https://salsa.debian.org/java-team/eclipse-platform-ua.git
Using cached branch file:///home/janitor/vcs/git/eclipse-platform-ua/,branch=master
Resuming from branch file:///home/janitor/vcs/git/eclipse-platform-ua/,branch=new-upstream
/home/janitor/debian-janitor/dulwich/dulwich/repo.py:470: UserWarning: ref refs/tags/debian/4.12-1 points at non-present sha a618c8a2cbb492b1991b3c1841b64d2f1fb09fa8
  warnings.warn(
/home/janitor/debian-janitor/dulwich/dulwich/repo.py:470: UserWarning: ref refs/tags/upstream/4.12 points at non-present sha 24126fec87b67afa818a622c5480e80425affdf4
  warnings.warn(
/home/janitor/debian-janitor/dulwich/dulwich/repo.py:470: UserWarning: ref refs/tags/upstream/4.13 points at non-present sha 9621dca371da6dfb51c6905b4a95661b3a1b11d9
  warnings.warn(
debian/4.12-1 does not point to a valid object
upstream/4.12 does not point to a valid object
upstream/4.13 does not point to a valid object
debian/4.12-1 does not point to a valid object
upstream/4.12 does not point to a valid object
upstream/4.13 does not point to a valid object
debian/4.12-1 does not point to a valid object
upstream/4.12 does not point to a valid object
upstream/4.13 does not point to a valid object
debian/4.12-1 does not point to a valid object
upstream/4.12 does not point to a valid object
upstream/4.13 does not point to a valid object
All changes applied successfully.
1/2202)
Total 1221 (delta 744), reused 1138 (delta 678), pack-reused 0
Total 12 (delta 3), reused 10 (delta 1), pack-reused 0
Total 1142 (delta 691), reused 1078 (delta 641), pack-reused 0
Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
Total 81 (delta 53), reused 57 (delta 34), pack-reused 0
Elapsed time: 0:34:06.616938
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/transform.py", line 381, in final_name
    return self._new_name[trans_id]
KeyError: 'new-117'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/transform.py", line 384, in final_name
    return os.path.basename(self._tree_id_paths[trans_id])
KeyError: 'new-117'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 194, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 1169, in <module>
    sys.exit(main())
  File "/home/janitor/debian-janitor/janitor/worker.py", line 1124, in main
    with process_package(
  File "/usr/lib/python3.8/contextlib.py", line 113, in __enter__
    return next(self.gen)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 941, in process_package
    with Workspace(
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/proposal.py", line 355, in __enter__
    if merge_conflicts(self.main_branch, self.local_tree.branch):
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/proposal.py", line 130, in merge_conflicts
    with tree_merger.make_preview_transform():
  File "/home/janitor/debian-janitor/breezy/breezy/merge.py", line 774, in make_preview_transform
    self._compute_transform()
  File "/home/janitor/debian-janitor/breezy/breezy/merge.py", line 799, in _compute_transform
    file_status = self._do_merge_contents(paths3, trans_id, file_id)
  File "/home/janitor/debian-janitor/breezy/breezy/merge.py", line 1272, in _do_merge_contents
    name = self.tt.final_name(trans_id)
  File "/home/janitor/debian-janitor/breezy/breezy/transform.py", line 386, in final_name
    raise NoFinalPath(trans_id, self)
breezy.transform.NoFinalPath: No final name for trans_id 'new-117'
file-id: None
root trans-id: 'new-0'

Full worker log